<?php
	function str_cut($cut_str,$cut_position) {
		 $cutted_str = "";
		 for($I = 0;$I <= $cut_position; $I++){
				$cutted_str .= $cut_str[$I];
		 }
		 Return $cutted_str;
	}
	function find_dir($verz)
	{
		$I = strlen($verz) - 1;
		
		while(substr($verz, $I, 1) != "/")
  	{
			$I--;
  		if($I < 0)
  		break;
  	}
  	$file_name = substr($verz, 0,$I);
  	Return $file_name;
	}
	
	function create_tmpfile()
	{
		$oldchmod = umask(0);
  	$tmpfile = "work/temp/".md5(uniqid(rand(), true));
  	touch($tmpfile) or die("error");
  	umask($oldchmod);
  
  	return $tmpfile;
}
?>